Debian Bug report logs - #696988
live-build 3.x: --chroot-filesystem plain/none ?

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: gator_ml@yahoo.de

Date: Sun, 30 Dec 2012 11:27:04 UTC

Severity: normal

Tags: pending

Found in version live-build/3.0~a51-1

Fixed in version live-build/3.0~b5-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#696988; Package live-build. (Sun, 30 Dec 2012 11:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gator_ml@yahoo.de:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 30 Dec 2012 11:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gator_ml@yahoo.de
To: submit@bugs.debian.org
Subject: live-build 3.x: --chroot-filesystem plain/none ?
Date: Sun, 30 Dec 2012 12:12:11 +0100
Package: live-build
Version: 3.0~a51-1
Severity: normal

I have been using live-build to generate a NFS-root system
to be booted via PXE:

lb config
  --architecture i386 \
  --linux-flavours 686 \
  --distribution wheezy \
  --chroot-filesystem plain
  --binary-images net \
  --net-root-path '/nfsroot/live' --net-root-server '$nfsroot_srv' \
  ...

On sqeeze, everything works o.k (with minor adjustments).
After moving to a wheezy system, generating the system fails:

No matter what I do, live-build won't install a kernel in the
chroot area. Because various scripts rely on it to be installed
in chroot/boot (first error in "lb_binary_linux-image", trying
to copy chroot/boot/vmlinuz-*) the build is aborted.

In the generated "binary image" (binary/live/filesystem.dir/boot/),
kernel and initrd are correctly installed.

Eventually, I discovered, that the man page for "lb_config" now
among the possible values for "--chroot-filesystem" does not mention
"plain" anymore. Instead, it now mentions a "none", which sounds
like it should replace the pvrevious "plain".

Unfortunatly, "--chroot-filesystem none" did not get me any further:
Now the build is aborted in lb_binary_manifest, which tries to copy
"chroot.packages.live" to "binary/${INITFS}/filesystem.${SUFFIX}",
i.e. the non-existant directory binary/live.

After looking closer, I am not even sure anymore, whether it
really was intended to replace "--chroot-filesystem plain" with 
"--chroot-filesystem plain": At least in "lb_binary_rootfs" there
are branches for both, "plain" and "none", but with different
actions.

In any case, it looks like for generating nfs-root systems, the
different scripts just don't fit together anymore ...


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.44

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual                     1:2.0.2-1
ii  live-manual-epub [live-manual]  1:3.0~a13-1
ii  live-manual-html [live-manual]  1:3.0~a13-1
ii  live-manual-odf [live-manual]   1:3.0~a13-1
ii  live-manual-pdf [live-manual]   1:3.0~a13-1
ii  live-manual-txt [live-manual]   1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.13-1
ii  fakeroot                    1.18.4-2
ii  genisoimage                 9:1.1.11-2
ii  grub-legacy [grub]          0.97-66
ii  memtest86                   4.0s-1
ii  mtools                      4.0.17-1
pn  parted                      <none>
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.5p2-1
ii  syslinux                    2:4.05+dfsg-6+deb7u1
pn  uuid-runtime                <none>
pn  win32-loader                <none>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#696988; Package live-build. (Sun, 30 Dec 2012 13:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 30 Dec 2012 13:24:06 GMT) Full text and rfc822 format available.

Message #10 received at 696988@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: gator_ml@yahoo.de
Cc: 696988@bugs.debian.org
Subject: Re: Bug#696988: live-build 3.x: --chroot-filesystem plain/none ?
Date: Sun, 30 Dec 2012 14:23:09 +0100
tag 696988 pending
thanks

On 12/30/2012 12:12 PM, gator_ml@yahoo.de wrote:
> Package: live-build
> Version: 3.0~a51-1

first, generally, always use the newest live-* from a certain branch
(for 3.x, that would be whatever currently is in sid). anything else,
and specifically testing, is not supported anyway.

second, to your specific problem, i've fixed it in git. thanks for
reporting.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 30 Dec 2012 13:24:08 GMT) Full text and rfc822 format available.

Marked as fixed in versions live-build/3.0~b5-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 02 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 02 Jan 2013 11:42:04 GMT) Full text and rfc822 format available.

Notification sent to gator_ml@yahoo.de:
Bug acknowledged by developer. (Wed, 02 Jan 2013 11:42:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:28:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:41:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.